Package org.eclipse.viatra.query.patternlanguage.emf.types

## Class AbstractTypeSystem

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.types.AbstractTypeSystem

- All Implemented Interfaces:
    `ITypeSystem`
  Direct Known Subclasses:
    `EMFTypeSystem`

      public abstract class AbstractTypeSystem
      extends java.lang.Object
      implements ITypeSystem

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractTypeSystem​(IQueryMetaContext context)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static java.lang.Class<?>` | `getWrapperClassForType​(java.lang.Class<?> typeClass)` |
    `protected static java.lang.String` | `getWrapperClassNameForTypeName​(java.lang.String className)` |
    `protected boolean` | `isValidType​(JavaType type)` |
    `boolean` | `isValidType​(Type type)` | Returns whether the type declaration represents a valid, resolvable type for the selected type system.
    `java.lang.String` | `typeString​(IInputKey type)` | Converts a type object to a user-visible description string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.types.ITypeSystem

      `addTypeInformation, addTypeInformation, convertToVQLType, convertToVQLType, extractColumnDescriptor, extractTypeDescriptor, fromJvmType, getCompatibleSupertypes, isConformant, isConformToRelationColumn, minimizeTypeInformation, toJvmTypeReference`

- - ### Constructor Detail

    - #### AbstractTypeSystem

          public AbstractTypeSystem​(IQueryMetaContext context)

  - ### Method Detail

    - #### typeString

          public java.lang.String typeString​(IInputKey type)

      Description copied from interface: `ITypeSystem`
      Converts a type object to a user-visible description string.
      Specified by:
        `typeString` in interface `ITypeSystem`
      Parameters:
        `type` - either a `Type`, or a model-specific type instance
      Returns:
        the string representation of the selected type

    - #### getWrapperClassForType

          protected static java.lang.Class<?> getWrapperClassForType​(java.lang.Class<?> typeClass)

      Parameters:
        `typeClass` -
      Returns:
        The wrapper class if the input is primitive. If it is not, it returns with the input unchanged.
      Since:
        1.3

    - #### getWrapperClassNameForTypeName

          protected static java.lang.String getWrapperClassNameForTypeName​(java.lang.String className)

      Since:
        2.1

    - #### isValidType

          public boolean isValidType​(Type type)

      Description copied from interface: `ITypeSystem`
      Returns whether the type declaration represents a valid, resolvable type for the selected type system. A null type is invalid.
      Specified by:
        `isValidType` in interface `ITypeSystem`
      Since:
        1.4

    - #### isValidType

          protected boolean isValidType​(JavaType type)

      Since:
        1.4